import request from '@/utils/request';

// 查询商品列表
export function listProduct(query) {
  return request({
    url: '/system/product/list',
    method: 'get',
    params: query,
  });
}

// 查询商品详细
export function getProduct(id) {
  return request({
    url: '/system/product/' + id,
    method: 'get',
  });
}

// 新增商品
export function addProduct(data) {
  return request({
    url: '/system/product',
    method: 'post',
    data: data,
  });
}

// 修改商品
export function updateProduct(data) {
  return request({
    url: '/system/product',
    method: 'put',
    data: data,
  });
}

// 删除商品
export function delProduct(id) {
  return request({
    url: '/system/product/' + id,
    method: 'delete',
  });
}
// 修改商品价格
export function updatePrice(data) {
  return request({
    url: '/system/product/updatePrice',
    method: 'put',
    data,
  });
}
// 查询材质列表
export function listMaterial(query) {
  return request({
    url: '/system/material/list',
    method: 'get',
    params: query,
  });
}
// 新增材质价格
export function addMate(data) {
  return request({
    url: '/system/material/addMate',
    method: 'post',
    data,
  });
}

// 修改材质价格
export function editMate(data) {
  return request({
    url: '/system/material/editMate',
    method: 'put',
    data,
  });
}

// 查询商品详细
export function getMate(id) {
  return request({
    url: '/system/material/' + id,
    method: 'get',
  });
}
// 删除商品
export function delMate(id) {
  return request({
    url: '/system/material/' + id,
    method: 'delete',
  });
}
//修改备注
export function updateRemark(data) {
  return request({
    url: '/system/product/updateRemark',
    method: 'put',
    data,
  });
}

